//Tareq
//not acc
#include<bits/stdc++.h>
using namespace std;
int main()
{
    int a,b;
    cin>>a>>b;
    for(int i=b-(a-1) ; i<=(b+(a-1)) ; i++)
    {
        cout<<i;
        if(i==(b+(a-1))) cout<<endl;
        else cout<<" ";
    }
    return 0;
}
